=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ioquake3
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
