=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 TARGET = debug
 endif
 
-OPTIONS := \
+OPTIONS = \
 	BUILD_DIR=debian/build \
 	USE_CODEC_OPUS=1 \
 	USE_CODEC_VORBIS=1 \
@@ -36,6 +36,7 @@
 	USE_OPENAL_DLOPEN=0 \
 	USE_VOIP=1 \
 	$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
+	$(shell $(CURDIR)/debian/q3arch make-build ${DEB_BUILD_GNU_CPU} ${DEB_BUILD_GNU_SYSTEM}) \
 	BUILD_CLIENT_SMP=1 \
 	BUILD_GAME_SO=1 \
 	BUILD_GAME_QVM=0 \
@@ -46,6 +47,7 @@
 	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
 	FULLBINEXT="" \
 	NO_STRIP=1 \
+	PKG_CONFIG=${DEB_HOST_GNU_TYPE}-pkg-config \
 	$(NULL)
 
 ifeq ($(DH_QUIET),1)
@@ -55,7 +57,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpcspe)
-ALTIVEC_CFLAGS =
+OPTIONS += ALTIVEC_CFLAGS=
 endif
 
 override_dh_auto_clean:
@@ -87,5 +89,8 @@
 endif
 endif
 
+override_dh_installchangelogs:
+	dh_installchangelogs -XChangeLog
+
 override_dh_strip:
 	dh_strip --ddeb-migration='ioquake3-dbg (<< 1.36+u20160914+dfsg1-1~)'
