## ioquake3 1.36+u20191029.dc0c3e7~dfsg

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
