## ioquake3 1.36+u20200211.f2c61c1~dfsg

=== debian/changelog ===
ioquake3 (1.36+u20200211.f2c61c1~dfsg-2) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Explicitly link game, cgame, ui modules to libm.
    This is the equivalent of #966150, but for Quake III Arena.
  * Link with -Wl,-z,defs to enforce that all modules are self-contained
  * AppArmor: Allow message popup to read all of /usr.
    The contents of /usr are essentially public, so there's no real point
    in locking this down. In particular, this silences warnings about
    zenity inheriting readable fds pointing to OpenArena's pk3 files;
    it also means we don't have to keep track of what files in /usr are
    opened by zenity, xmessage, kdialog and the libraries they use.
  * AppArmor: Allow message popup to write to dconf.
    zenity apparently now does this.

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jul 2020 12:48:09 +0100

ioquake3 (1.36+u20200211.f2c61c1~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.5.0 (no changes required)
  * Update AppArmor profile for Debian 10 version of apparmor.
    More abstractions and tunables are available now.
  * AppArmor: Allow access to /sys/devices/virtual/sound/seq/uevent

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 10:54:46 +0100
