=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
@@ -32,7 +32,7 @@
 Recommends:
  x11-utils | zenity | kdialog,
 Breaks:
- apparmor (<< 2.10.95-5~),
+ apparmor (<< 2.13.2~),
  openarena (<< 0.8.8-9~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
