=== debian/changelog ===
ioquake3 (1.36+u20201117.d1b7ab6~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Add overrides for overzealous breakout-link Lintian warning
  * d/watch: Stop using uupdate
  * Refresh patch series
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Dec 2020 20:53:30 +0000

ioquake3 (1.36+u20200930.e7a7a2b~dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Oct 2020 20:46:34 +0100
