## ioquake3 1.36+u20220205.c0f2964~dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220205.c0f2964~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 11:03:17 +0000

ioquake3 (1.36+u20211208.84daa28~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Use debhelper-compat 13

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 13:53:01 +0000

ioquake3 (1.36+u20210927.2678080~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.6.0 (no changes required)
  * Remove Lintian overrides, no longer needed

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Oct 2021 23:46:48 +0100
