=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
