## ioquake3 1.36+u20220321.6d74896+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220321.6d74896+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: Use +dfsg version to avoid a Lintian warning
  * Standards-Version: 4.6.1 (no changes required)
  * Update AppArmor profile

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 19:24:00 +0100
