## ioquake3 1.36+u20220922.84da653+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220922.84da653+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - Better support for extra buttons on gamepads
  * Set upstream metadata fields: Security-Contact

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 15:18:43 +0100
