=== debian/changelog ===
ioquake3 (1.36+u20221123.70d07d9+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since buster (oldstable)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jan 2023 18:26:57 +0000
