=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
- dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
  libjpeg-dev,
  libopenal-dev,
  libopus-dev,
  libopusfile-dev,
- libsdl2-dev (>= 2.0.4),
+ libsdl2-dev,
  libvorbis-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
@@ -31,9 +30,6 @@
  ${shlibs:Depends},
 Recommends:
  x11-utils | zenity | kdialog,
-Breaks:
- apparmor (<< 2.13.2~),
- openarena (<< 0.8.8-9~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -47,8 +43,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- openarena-server (<< 0.8.8-9~),
 Description: Engine for 3D first person shooter games - server and common files
  This package contains common files for the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
