## ioquake3 1.36+u20230706.10a45cb+dfsg

=== Makefile ===
--- 
+++ 
@@ -444,9 +444,30 @@
 
   # Default minimum Mac OS X version
   ifeq ($(MACOSX_VERSION_MIN),)
-    MACOSX_VERSION_MIN=10.7
+    MACOSX_VERSION_MIN=10.9
     ifneq ($(findstring $(ARCH),ppc ppc64),)
       MACOSX_VERSION_MIN=10.5
+    endif
+    ifeq ($(ARCH),x86)
+      MACOSX_VERSION_MIN=10.6
+    endif
+    ifeq ($(ARCH),x86_64)
+      # trying to find default SDK version is hard
+      # macOS 10.15 requires -sdk macosx but 10.11 doesn't support it
+      # macOS 10.6 doesn't have -show-sdk-version
+      DEFAULT_SDK=$(shell xcrun -sdk macosx -show-sdk-version 2> /dev/null)
+      ifeq ($(DEFAULT_SDK),)
+        DEFAULT_SDK=$(shell xcrun -show-sdk-version 2> /dev/null)
+      endif
+      ifeq ($(DEFAULT_SDK),)
+        $(error Error: Unable to determine macOS SDK version.  On macOS 10.6 to 10.8 run: make MACOSX_VERSION_MIN=10.6  On macOS 10.9 or later run: make MACOSX_VERSION_MIN=10.9 );
+      endif
+
+      ifneq ($(findstring $(DEFAULT_SDK),10.6 10.7 10.8),)
+        MACOSX_VERSION_MIN=10.6
+      else
+        MACOSX_VERSION_MIN=10.9
+      endif
     endif
     ifeq ($(ARCH),arm64)
       MACOSX_VERSION_MIN=11.0
@@ -491,33 +512,3 @@
     BASE_CFLAGS += -arch x86_64
   endif
   ifeq ($(ARCH),arm64)
-    # HAVE_VM_COMPILED=false # TODO: implement compiled vm
-    BASE_CFLAGS += -arch arm64
-  endif
-
-  # When compiling on OSX for OSX, we're not cross compiling as far as the
-  # Makefile is concerned, as target architecture is specified as a compiler
-  # argument
-  ifeq ($(COMPILE_PLATFORM),darwin)
-    CROSS_COMPILING=0
-  endif
-
-  ifeq ($(CROSS_COMPILING),1)
-    # If CC is already set to something generic, we probably want to use
-    # something more specific
-    ifneq ($(findstring $(strip $(CC)),cc gcc),)
-      CC=
-    endif
-
-    ifndef CC
-      ifndef DARWIN
-        # macOS 10.9 SDK
-        DARWIN=13
-        ifneq ($(findstring $(ARCH),ppc ppc64),)
-          # macOS 10.5 SDK, though as of writing osxcross doesn't support ppc/ppc64
-          DARWIN=9
-        endif
-        ifeq ($(ARCH),arm64)
-          # macOS 11.3 SDK
-          DARWIN=20.4
-        endif
