=== debian/changelog ===
ioquake3 (1.36+u20230706.10a45cb+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jul 2023 10:36:16 +0100

ioquake3 (1.36+u20230419.47c9641+dfsg-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Sat, 27 May 2023 17:33:06 +0100
