## ioquake3 1.36+u20240217.7d711f8+dfsg

=== misc/setup/Makefile ===
VERSION=1.36
RELEASE=svn

all:
	VERSION=$(VERSION) RELEASE=$(RELEASE) ./doit

sign:
	for i in *.run; do \
		gpg -bao $$i.asc $$i; \
	done

clean:
	rm -rf *.run image defines.m4

.PHONY: all sign clean
