=== debian/changelog ===
ioquake3 (1.36+u20240217.7d711f8+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:41 +1100

ioquake3 (1.36+u20240217.7d711f8+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:00:35 +0000

ioquake3 (1.36+u20240217.7d711f8+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Feb 2024 11:03:44 +0000

ioquake3 (1.36+u20231123.972635e+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Silence warnings from man(1) by using italic instead of underlines

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:20:40 +0000

ioquake3 (1.36+u20230819.b1e6ef1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * apparmor.d: Allow reading /usr/share/pipewire
  * apparmor.d: Allow SDL audio backends to create named threads
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Oct 2023 21:28:33 +0100
