=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
 	CFLAGS='$(filter-out -fPIE -pie,$(CFLAGS)) $(CPPFLAGS)' \
 	NOTSHLIBCFLAGS='$(filter -fPIE -pie,$(CFLAGS))' \
-	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS))' \
+	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS)) -Wl,-z,defs' \
 	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
 	FULLBINEXT="" \
 	NO_STRIP=1 \
@@ -91,6 +91,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
-
-override_dh_strip:
-	dh_strip --ddeb-migration='ioquake3-dbg (<< 1.36+u20160914+dfsg1-1~)'
