=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/,compression=xz,repacksuffix=+dfsg,pretty=1.36+u%cd.%h" \
https://github.com/ioquake/ioq3 \
HEAD
#http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2
