## ioquake3 1.36+u20240714.15f5fe7+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20240714.15f5fe7+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 10:22:00 +0100
