## ioquake3 1.36+u20240727.4c19ff2+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20240727.4c19ff2+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/rules: Pass dpkg's CFLAGS_FOR_BUILD, etc. to native compiler
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2024 16:23:30 +0100
