## ioquake3 1.36+u20241011.cc18246+dfsg

=== misc/nsis/Makefile ===
--- 
+++ 
@@ -21,9 +21,6 @@
 endif
 ifndef USE_CURL_DLOPEN
 USE_CURL_DLOPEN=0
-endif
-ifndef USE_INTERNAL_SPEEX
-USE_INTERNAL_SPEEX=1
 endif
 ifndef USE_INTERNAL_ZLIB
 USE_INTERNAL_ZLIB=1
@@ -56,9 +53,6 @@
 ifeq ($(USE_CURL_DLOPEN),1)
 	DEFINES+= -DUSE_CURL_DLOPEN
 endif
-ifeq ($(USE_INTERNAL_SPEEX),1)
-	DEFINES+= -DUSE_INTERNAL_SPEEX
-endif
 ifeq ($(USE_INTERNAL_ZLIB),1)
 	DEFINES+= -DUSE_INTERNAL_ZLIB
 endif
