=== debian/changelog ===
ioquake3 (1.36+u20241011.cc18246+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 09:45:44 +0000
