=== debian/changelog ===
ioquake3 (1.36+u20250316.526edd3+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 15:37:30 +0000
