=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libopusfile-dev,
  libsdl2-dev,
  libvorbis-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
