=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,9 @@
 	FULLBINEXT="" \
 	NO_STRIP=1 \
 	PKG_CONFIG=${DEB_HOST_GNU_TYPE}-pkg-config \
+	TOOLS_CC=${DEB_BUILD_GNU_TYPE}-gcc \
+	TOOLS_CFLAGS='$(CFLAGS_FOR_BUILD) $(CPPFLAGS_FOR_BUILD)' \
+	TOOLS_LDFLAGS='$(LDFLAGS_FOR_BUILD)' \
 	$(NULL)
 
 ifeq ($(DH_QUIET),1)
